

#include "Framework.h"
#include "CWaves.h"
	
CWaves *		pWaveLoader = NULL;

int appel_init_cwave(void)
{
	pWaveLoader = new CWaves();
	return 0;
}

int appel_GetWaveSize(WAVEID WaveID,unsigned long	&ulDataSize)
{
	pWaveLoader->GetWaveSize(WaveID, &ulDataSize);
	return 0;
}
int appel_GetWaveFrequency(WAVEID WaveID, unsigned long	&ulFrequency)
{
	pWaveLoader->GetWaveFrequency(WaveID, &ulFrequency);
	return 0;
}
int appel_GetWaveALBufferFormat(WAVEID WaveID, unsigned long &ulFormat)
{
	pWaveLoader->GetWaveALBufferFormat(WaveID, &alGetEnumValue, &ulFormat);
	return 0;
}
int appel_GetWaveFormatExHeader(WAVEID WaveID,WAVEFORMATEX	&wfex)
{
	pWaveLoader->GetWaveFormatExHeader(WaveID, &wfex);
	return 0;
}
int appel_SetWaveDataOffset(WAVEID WaveID,unsigned long ulOffset)
{
	pWaveLoader->SetWaveDataOffset(WaveID,ulOffset);
	return 0;
}
int appel_DeleteWaveFile(WAVEID WaveID)
{
		// Close Wave Handle
		pWaveLoader->DeleteWaveFile(WaveID);
	return 0;
}
int appel_delete(void)
{
		if (pWaveLoader != 0)
		delete pWaveLoader;
		pWaveLoader = 0;
	return 0;
}
int appel_OpenWaveFile(const char &szFilename, WAVEID &pWaveID)
{
	pWaveLoader->OpenWaveFile(&szFilename, &pWaveID);
	return 0;
}
int appel_ReadWaveData(WAVEID WaveID, void *pData, unsigned long ulDataSize, unsigned long &ulBytesWritten)
{
	pWaveLoader->ReadWaveData(WaveID, pData, ulDataSize, &ulBytesWritten);
	return 0;
}


